Package org.jboss.resteasy.spi

## Class LinkHeader

- java.lang.Object
- - org.jboss.resteasy.spi.LinkHeader

-     public class LinkHeader
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkHeader()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LinkHeader` | `addLink​(String title, String rel, String href, String type)` |
    `LinkHeader` | `addLink​(javax.ws.rs.core.Link link)` |
    `javax.ws.rs.core.Link` | `getLinkByRelationship​(String rel)` |
    `javax.ws.rs.core.Link` | `getLinkByTitle​(String title)` |
    `List<javax.ws.rs.core.Link>` | `getLinks()` | All the links defined
    `Map<String,​javax.ws.rs.core.Link>` | `getLinksByRelationship()` | Index of links by relationship "rel" or "rev"
    `Map<String,​javax.ws.rs.core.Link>` | `getLinksByTitle()` | Index of links by title
    `String` | `toString()` |
    `static LinkHeader` | `valueOf​(String val)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkHeader

          public LinkHeader()

  - ### Method Detail

    - #### addLink

          public LinkHeader addLink​(javax.ws.rs.core.Link link)

    - #### addLink

          public LinkHeader addLink​(String title,
                                    String rel,
                                    String href,
                                    String type)

    - #### getLinkByTitle

          public javax.ws.rs.core.Link getLinkByTitle​(String title)

    - #### getLinkByRelationship

          public javax.ws.rs.core.Link getLinkByRelationship​(String rel)

    - #### getLinksByRelationship

          public Map<String,​javax.ws.rs.core.Link> getLinksByRelationship()

      Index of links by relationship "rel" or "rev"
      Returns:
        map

    - #### getLinksByTitle

          public Map<String,​javax.ws.rs.core.Link> getLinksByTitle()

      Index of links by title
      Returns:
        map

    - #### getLinks

          public List<javax.ws.rs.core.Link> getLinks()

      All the links defined
      Returns:
        links

    - #### valueOf

          public static LinkHeader valueOf​(String val)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`